// this file is to have the raw data for the season tool

import {Season, Season_Events, Season_Rewards, Season_Rewards_Rarity, Season_Rewards_Type} from "../db_entities";


// this can be spread out as there wont be many items in this array
export let seed_season: Season[] = [
    {
        season: 1,
        name: "The Legendary Run",
        start: "2020-06-30T16:00:00Z",
        end: "2020-09-08T16:00:00Z",
        end_final: "2020-09-08T16:00:00Z",
        base: 1000,
        extra: 25,
        ratio: 100,
        atoms: 150,
        score_weekly: 7500,
        score_daily: 1750,
        score_daily_nw: 250,
        score_level_board: 100,
        score_level_max: 100,
    },
    {
        season: 2,
        name: "Armor Ace",
        start: "2020-09-15T16:00:00Z",
        end: "2020-11-23T16:00:00Z",
        end_final: "2020-12-14T16:00:00Z",
        base: 1000,
        extra: 25,
        ratio: 100,
        atoms: 150,
        score_weekly: 10000,
        score_daily: 2000,
        score_daily_nw: 250,
        score_level_board: 100,
        score_level_max: 100,
    },
    {
        season: 3,
        name: "The Scribe of Avalon",
        start: "2020-12-15T16:00:00Z",
        end: "2021-03-15T16:00:00Z",
        end_final: "2021-04-27T16:00:00Z",
        base: 1000,
        extra: 25,
        ratio: 100,
        atoms: 150,
        score_weekly: 10000,
        score_daily: 2000,
        score_daily_nw: 250,
        score_level_board: 100,
        score_level_max: 100,
    },
    {
        season: 4,
        name: "Armor Ace and the Power Patrol in Cold Steel",
        start: "2021-04-27T16:00:00Z",
        end: "2021-07-27T16:00:00Z",
        end_final: "2021-07-07T16:00:00Z",
        base: 1000,
        extra: 25,
        ratio: 100,
        atoms: 150,
        score_weekly: 10000,
        score_daily: 2000,
        score_daily_nw: 250,
        score_level_board: 100,
        score_level_max: 100,
    },
    {
        season: 5,
        name: "Escape from the 42nd Century",
        start: "2021-07-07T16:00:00Z",
        // guesstimate +70 days from the start
        end: "2021-09-14T16:00:00Z",
        end_final: "2021-09-14T16:00:00Z",
        base: 1000,
        extra: 25,
        ratio: 100,
        atoms: 150,
        score_weekly: 10000,
        score_daily: 2000,
        score_daily_nw: 250,
        score_level_board: 100,
        score_level_max: 1000,
    },
    {
        season: 8,
        name: "A Better Life Underground",
        start: "2022-03-07T01:00:00Z",
        // guesstimate +70 days from the start
        end: "2022-06-14T16:00:00Z",
        end_final: "2022-06-14T16:00:00Z",
        base: 1000,
        extra: 25,
        ratio: 100,
        atoms: 150,
        score_weekly: 10000,
        score_daily: 2500,
        score_daily_nw: 0,
        score_level_board: 100,
        score_level_max: 1000,
    },
    {
        season: 9,
        name: "Heart of Steel: A Dread Island Tale",
        start: "2022-06-14T16:00:00Z",
        // guesstimate +70 days from the start
        end: "2022-09-14T16:00:00Z",
        end_final: "2022-09-14T16:00:00Z",
        base: 1000,
        extra: 25,
        ratio: 100,
        atoms: 150,
        score_weekly: 10000,
        score_daily: 2500,
        score_daily_nw: 250,
        score_level_board: 100,
        // I really don't anyone will get over 200 levels of score
        score_level_max: 400,
    },

];


// one event per line, there are hoing to be many of them
export let seed_season_events: Season_Events[] = [
    {season: 3, start: "2021-01-21T16:00:00Z", end: "2021-01-25T16:00:01Z", name: "Double XP Weekend"},
];

// this is going to be enormus and where most of the additions will be
let seed_season_rewards_3:  Season_Rewards[] = [
    { season: 3, level: 2, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "K.D. Inkwell" },
    { season: 3, level: 3, first: false, type: Season_Rewards_Type.Consumable, quantity: 10,  rarity: Season_Rewards_Rarity.Common, name: "Turbo-Fert fertilizer" },
    { season: 3, level: 4, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 3, level: 5, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Antique speed bag" },
    { season: 3, level: 5, first: true, type: Season_Rewards_Type.Frame, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Brotherhood" },
    { season: 3, level: 6, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Clean office cabinet" },
    { season: 3, level: 7, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 3, level: 8, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault bed" },
    { season: 3, level: 9, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Medium Vault-Tec Supply Package" },
    { season: 3, level: 10, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 3, level: 11, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 3, level: 12, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 3, level: 12, first: true, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Brotherhood" },
    { season: 3, level: 13, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Large Vault-Tec Supply Package" },
    { season: 3, level: 14, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Sportsman Paint (Pump Action Shotgun)" },
    { season: 3, level: 15, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 3, level: 16, first: false, type: Season_Rewards_Type.Currency, quantity: 50,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 3, level: 17, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 3, level: 18, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities T-45" },
    { season: 3, level: 19, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault nightstand" },
    { season: 3, level: 20, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 3, level: 20, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },


    { season: 3, level: 21, first: false, type: Season_Rewards_Type.Currency, quantity: 50,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 3, level: 22, first: false, type: Season_Rewards_Type.Frame, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Daring Adventures" },
    { season: 3, level: 23, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 3, level: 24, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Clean hospital bed" },
    { season: 3, level: 25, first: false, type: Season_Rewards_Type.Ally, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Yasmin Chowdhury" },
    { season: 3, level: 26, first: false, type: Season_Rewards_Type.Consumable, quantity: 2,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 3, level: 27, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 3, level: 28, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities T-51" },
    { season: 3, level: 29, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault desk" },
    { season: 3, level: 30, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 3, level: 31, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 3, level: 32, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Red Rocket" },
    { season: 3, level: 33, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 3, level: 33, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "K.D. Inkwell's Quill" },
    { season: 3, level: 35, first: false, type: Season_Rewards_Type.Consumable, quantity: 2,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 3, level: 35, first: true, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Herringbone Wood Floor and Foundations" },
    { season: 3, level: 36, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 3, level: 37, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 3, level: 38, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities Excavator" },
    { season: 3, level: 39, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Clean industrial fan" },
    { season: 3, level: 40, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 3, level: 41, first: false, type: Season_Rewards_Type.Currency, quantity: 50,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 3, level: 42, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "K.D. Inkwell's Quill paint (baton)" },
    { season: 3, level: 43, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 3, level: 44, first: false, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Taking Off" },
    { season: 3, level: 45, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 3, level: 46, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Black rubber mat" },
    { season: 3, level: 47, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 3, level: 48, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities T-60" },
    { season: 3, level: 49, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 3, level: 50, first: false, type: Season_Rewards_Type.Ally, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Solomon Hardy" },
    { season: 3, level: 50, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },


    { season: 3, level: 51, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 3, level: 52, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 3, level: 53, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Clean toilet" },
    { season: 3, level: 54, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 3, level: 55, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 3, level: 56, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Settler's special paint (10mm)" },
    { season: 3, level: 57, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 3, level: 58, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities X-01" },
    { season: 3, level: 59, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault tile white floors" },
    { season: 3, level: 60, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 3, level: 61, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 3, level: 62, first: false, type: Season_Rewards_Type.Consumable, quantity: 6,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 3, level: 63, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Cynnoc" },
    { season: 3, level: 64, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 3, level: 65, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 3, level: 65, first: true, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "American tank helmet" },
    { season: 3, level: 66, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vintage tacklebox loot bag" },
    { season: 3, level: 67, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 3, level: 68, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities Ultracite" },
    { season: 3, level: 69, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vintage Shelter wallpaper" },
    { season: 3, level: 70, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 3, level: 71, first: false, type: Season_Rewards_Type.Currency, quantity: 100,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 3, level: 72, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Screaming Eagle wood skin (handmade rifle)" },
    { season: 3, level: 73, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 3, level: 74, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Carpeteria Vault-Tec floor and foundations" },
    { season: 3, level: 75, first: false, type: Season_Rewards_Type.Consumable, quantity: 2,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 3, level: 76, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Red Rocket Mini Mart" },
    { season: 3, level: 77, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 3, level: 78, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities T-65" },
    { season: 3, level: 79, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 3, level: 80, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 3, level: 80, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },


    { season: 3, level: 81, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 3, level: 82, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault fireplace" },
    { season: 3, level: 83, first: false, type: Season_Rewards_Type.Consumable, quantity: 15,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 3, level: 84, first: false, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Jumping" },
    { season: 3, level: 85, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 3, level: 86, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Armor Ace Helmet" },
    { season: 3, level: 87, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 3, level: 88, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vertiguard Jet Pack" },
    { season: 3, level: 89, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Scavenging Station with gold Scavenge Bot" },
    { season: 3, level: 90, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 3, level: 91, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 3, level: 92, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "K.D. Inkwell's Chronotron backpack" },
    { season: 3, level: 93, first: false, type: Season_Rewards_Type.Consumable, quantity: 15,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 3, level: 94, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Presidential paint (Gauss rifle)" },
    { season: 3, level: 95, first: false, type: Season_Rewards_Type.Currency, quantity: 50,  rarity: Season_Rewards_Rarity.Common, name: "Perk Coin" },
    { season: 3, level: 95, first: true, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Clandestine Service T-65" },
    { season: 3, level: 96, first: false, type: Season_Rewards_Type.Stein, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities" },
    { season: 3, level: 97, first: false, type: Season_Rewards_Type.Consumable, quantity: 9,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 3, level: 98, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "K.D. Inkwell" },
    { season: 3, level: 99, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Heavy Vault door" },


    { season: 3, level: 100, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Vertiguard Power Armor" },
    { season: 3, level: 100, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Framed Scribe of Avalon Gameboard" },
    { season: 3, level: 100, first: false, type: Season_Rewards_Type.Currency, quantity: 500,  rarity: Season_Rewards_Rarity.Legendary, name: "Atoms" },
];

let seed_season_rewards_4:  Season_Rewards[] = [
    { season: 4, level: 2, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Cold Steel" },
    { season: 4, level: 3, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Medium Vault-Tec Supply Package" },
    { season: 4, level: 4, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 4, level: 5, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Beehive" },
    { season: 4, level: 5, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 6, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Platinum" },
    { season: 4, level: 7, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Sugar-Free Nukashine" },
    { season: 4, level: 8, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Tree Chandelier" },
    { season: 4, level: 9, first: false, type: Season_Rewards_Type.Currency, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Tadpole Badge" },
    { season: 4, level: 10, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },

    // was 2500 in S3
    { season: 4, level: 11, first: false, type: Season_Rewards_Type.Currency, quantity: 1000,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 4, level: 12, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Hunting Paint (Lever Action Rifle)" },
    { season: 4, level: 13, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Large Vault-Tec Supply Package" },
    { season: 4, level: 14, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Mister Shivers" },
    { season: 4, level: 15, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 4, level: 15, first: true, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Slalom" },
    { season: 4, level: 16, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault Tile Checkered Floors" },
    { season: 4, level: 17, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 18, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yukon Five T-45" },
    { season: 4, level: 19, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 4, level: 20, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 4, level: 21, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 4, level: 22, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Brickhouse" },
    { season: 4, level: 23, first: false, type: Season_Rewards_Type.Consumable, quantity: 10,  rarity: Season_Rewards_Rarity.Common, name: "Fireworks" },
    { season: 4, level: 24, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Perfectly Preserved Pie" },
    { season: 4, level: 25, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Mannequin Set" },
    { season: 4, level: 25, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 26, first: false, type: Season_Rewards_Type.Consumable, quantity: 2,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 4, level: 27, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Repair Kit" },
    { season: 4, level: 28, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yukon Five T-51" },
    { season: 4, level: 29, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Starburst Prick Floor and Foundations" },
    { season: 4, level: 30, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 4, level: 31, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 4, level: 32, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Beekeeper" },
    { season: 4, level: 33, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 4, level: 33, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Beekeeper Hat" },
    { season: 4, level: 35, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 4, level: 35, first: true, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Hot Dog" },
    { season: 4, level: 36, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Death's Breath (Flamer)" },
    { season: 4, level: 37, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 38, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yukon Five Excavator" },
    { season: 4, level: 39, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 4, level: 40, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 4, level: 41, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 4, level: 42, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Power Patrol Red Beret" },
    { season: 4, level: 43, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 4, level: 44, first: false, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Cannonball" },
    { season: 4, level: 45, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 4, level: 45, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 46, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Armor Ace (Handmade Rifle)" },
    { season: 4, level: 47, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Sugar-Free Nukashine" },
    { season: 4, level: 48, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yukon Five T-60" },
    { season: 4, level: 49, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 4, level: 50, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Nuka-Cola Collectron Station" },

    { season: 4, level: 51, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 4, level: 52, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 4, level: 53, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 4, level: 54, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Commissioner Chaos" },
    { season: 4, level: 55, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 4, level: 55, first: true, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Dungeon Wallpaper" },
    { season: 4, level: 56, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Armor Ace Power Armor Station" },
    { season: 4, level: 57, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 58, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yukon Five X-01" },
    { season: 4, level: 59, first: false, type: Season_Rewards_Type.Consumable, quantity: 6,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 4, level: 60, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 4, level: 61, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 4, level: 62, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Power Patrol Fatigues" },
    { season: 4, level: 63, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Nuclear Keycard" },
    { season: 4, level: 64, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Icebreaker" },
    { season: 4, level: 65, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 4, level: 65, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 66, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Icebreaker (Power Fist)" },
    { season: 4, level: 67, first: false, type: Season_Rewards_Type.Consumable, quantity: 6,  rarity: Season_Rewards_Rarity.Common, name: "Repair Kit" },
    { season: 4, level: 68, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yukon Five Ultracite" },
    { season: 4, level: 69, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Gold Toilet" },
    { season: 4, level: 70, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 4, level: 71, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 4, level: 72, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Armor Ace" },
    { season: 4, level: 73, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 4, level: 74, first: false, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Skiing" },
    { season: 4, level: 75, first: false, type: Season_Rewards_Type.Consumable, quantity: 2,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 4, level: 75, first: true, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Red Viper (Handmade Rifle)" },
    { season: 4, level: 76, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Yukon Five T-65" },
    { season: 4, level: 77, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 78, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Cold Steel Floors" },
    { season: 4, level: 79, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 4, level: 80, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 4, level: 81, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 4, level: 82, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Dungeon Floor and Foundations" },
    { season: 4, level: 83, first: false, type: Season_Rewards_Type.Consumable, quantity: 9,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 4, level: 84, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Doubletap" },
    { season: 4, level: 85, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 4, level: 85, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 86, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Armor Ace (Plasma Gatling)" },
    { season: 4, level: 87, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Sugar-Free Nukashine" },
    { season: 4, level: 88, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Commissioner Chaos" },
    { season: 4, level: 89, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Cold Steel Wallpaper" },
    { season: 4, level: 90, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 4, level: 91, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 4, level: 92, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Flamethrower Backpack" },
    { season: 4, level: 93, first: false, type: Season_Rewards_Type.Consumable, quantity: 15,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 4, level: 94, first: false, type: Season_Rewards_Type.Stein, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Cold Steel" },
    { season: 4, level: 95, first: false, type: Season_Rewards_Type.Currency, quantity: 50,  rarity: Season_Rewards_Rarity.Common, name: "Perk Coin" },
    { season: 4, level: 95, first: true, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Atomic Ranger" },
    { season: 4, level: 96, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Power Patrol Blue Beret" },
    { season: 4, level: 97, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 4, level: 98, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Icebreaker" },
    { season: 4, level: 99, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Brotherhood Infantry Statue" },


    { season: 4, level: 100, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Complete Chaos" },
    { season: 4, level: 100, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Complete Chaos" },
    { season: 4, level: 100, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Cold Steel Gameboard" },
    { season: 4, level: 100, first: false, type: Season_Rewards_Type.Currency, quantity: 500,  rarity: Season_Rewards_Rarity.Legendary, name: "Atoms" },
];

let seed_season_rewards_5:  Season_Rewards[] = [
    { season: 5, level: 2, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "K.D. Inkwell Escape" },
    { season: 5, level: 3, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Medium Vault-Tec Supply Package" },
    { season: 5, level: 4, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 5, level: 5, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Fortune Teller Machine" },
    { season: 5, level: 5, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 6, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "K.D. Inkwell" },
    { season: 5, level: 7, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 8, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. Propaganda Poster" },
    { season: 5, level: 9, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 5, level: 10, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },

    // was 2500 in S3
    // was 1000 in S4
    { season: 5, level: 11, first: false, type: Season_Rewards_Type.Currency, quantity: 500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 5, level: 12, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Blood Eagle Charmer Hat" },
    { season: 5, level: 13, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Large Vault-Tec Supply Package" },
    { season: 5, level: 14, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Green Skull" },
    { season: 5, level: 15, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 5, level: 15, first: true, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Cardinal Bird Cage" },
    { season: 5, level: 16, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. Recruitment Poster" },
    { season: 5, level: 17, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 18, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. T-45" },
    { season: 5, level: 19, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Core" },
    { season: 5, level: 20, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 5, level: 21, first: false, type: Season_Rewards_Type.Currency, quantity: 1000,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 5, level: 22, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Alistair" },
    { season: 5, level: 23, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },
    { season: 5, level: 24, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Open and Closed Sign" },
    { season: 5, level: 25, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Chassis Display Frame" },
    { season: 5, level: 25, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 5, level: 26, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 5, level: 25, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 27, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Nuclear Keycard" },
    { season: 5, level: 28, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. T-51" },
    { season: 5, level: 29, first: false, type: Season_Rewards_Type.Currency, quantity: 100,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 5, level: 30, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 5, level: 31, first: false, type: Season_Rewards_Type.Currency, quantity: 100,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 5, level: 32, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Raider Goon" },
    { season: 5, level: 33, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 5, level: 33, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "42nd Century" },
    { season: 5, level: 35, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 5, level: 35, first: true, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Brotherhood of Steel Kit" },
    { season: 5, level: 36, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. (Laser Gatling)" },
    { season: 5, level: 37, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 38, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. Excavator" },
    { season: 5, level: 39, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Core" },
    { season: 5, level: 40, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 5, level: 41, first: false, type: Season_Rewards_Type.Currency, quantity: 1000,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 5, level: 42, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Raider Goon Helmet" },
    { season: 5, level: 43, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 5, level: 44, first: false, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Jumping the Gap" },
    { season: 5, level: 45, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 5, level: 45, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 46, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Blood Eagle (Fixer)" },
    { season: 5, level: 47, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 5, level: 48, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. T-60" },
    { season: 5, level: 49, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 5, level: 50, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Stairs with Posts" },

    { season: 5, level: 51, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 5, level: 52, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 5, level: 53, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 5, level: 54, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "M.I.N.D. Overlord" },
    { season: 5, level: 55, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 5, level: 55, first: true, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Guild of Antiquities Diamond Floor" },
    { season: 5, level: 56, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Blood Eagle Charmer Blouse" },
    { season: 5, level: 57, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 58, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. X-01" },
    { season: 5, level: 59, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 5, level: 60, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 5, level: 61, first: false, type: Season_Rewards_Type.Currency, quantity: 100,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 5, level: 62, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Blood Eagle Charmer Leather" },
    { season: 5, level: 63, first: false, type: Season_Rewards_Type.Consumable, quantity: 6,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 5, level: 64, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Orange M.I.N.D." },
    { season: 5, level: 65, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 5, level: 65, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 5, level: 66, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Valorous Alistair (Plasma Gatling)" },
    { season: 5, level: 67, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Liquid Courage" },
    { season: 5, level: 68, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. Ultracite" },
    { season: 5, level: 69, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 5, level: 70, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 5, level: 71, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 5, level: 72, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. Overlord" },
    { season: 5, level: 73, first: false, type: Season_Rewards_Type.Consumable, quantity: 6,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 5, level: 74, first: false, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Battlecry" },
    { season: 5, level: 75, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 5, level: 75, first: true, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. Nuka-Cola Poster" },
    { season: 5, level: 76, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "M.I.N.D. T-65" },
    { season: 5, level: 77, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 78, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Washer and Drier Set" },
    { season: 5, level: 79, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 5, level: 80, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 5, level: 81, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 5, level: 82, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 5, level: 83, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 5, level: 84, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "K.D. Inkwell Dashing" },
    { season: 5, level: 85, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 5, level: 85, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 86, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Valorous Alistair (Sword)" },
    { season: 5, level: 87, first: false, type: Season_Rewards_Type.Consumable, quantity: 9,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 5, level: 88, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Enlightened M.I.N.D." },
    { season: 5, level: 89, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 5, level: 90, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },


    { season: 5, level: 91, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 5, level: 92, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Alistair's Chronotron Backpack" },
    { season: 5, level: 93, first: false, type: Season_Rewards_Type.Stein, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "M.I.N.D. Overlord" },
    { season: 5, level: 94, first: false, type: Season_Rewards_Type.Emote, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Triumphant Alistair" },
    { season: 5, level: 95, first: false, type: Season_Rewards_Type.Currency, quantity: 50,  rarity: Season_Rewards_Rarity.Common, name: "Perk Coin" },
    { season: 5, level: 96, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Valorous Alistair Headwear" },
    { season: 5, level: 97, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Core" },
    { season: 5, level: 98, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Valorous Alistair" },
    { season: 5, level: 99, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Red Rocket Collectron" },


    // same PA as rank 88?
    { season: 5, level: 100, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "M.I.N.D." },
    { season: 5, level: 100, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Escape Gameboard" },
    { season: 5, level: 100, first: false, type: Season_Rewards_Type.Currency, quantity: 500,  rarity: Season_Rewards_Rarity.Legendary, name: "Atoms" },
];

let seed_season_rewards_8:  Season_Rewards[] = [
    { season: 8, level: 2, first: false,  type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Underground Logo" },
    { season: 8, level: 3, first: false,  type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Medium Vault-Tec Supply Package" },
    { season: 8, level: 4, first: false,  type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Health Kit Bundle" },
    { season: 8, level: 5, first: false,  type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Exercise Bike" },
    { season: 8, level: 5, first: true,   type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },

    { season: 8, level: 6, first: false,  type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Free States Wood" },
    { season: 8, level: 7, first: false,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 8, level: 8, first: false,  type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault-Tek Twin Bed" },
    { season: 8, level: 9, first: false,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 8, level: 10, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 10, first: true,  type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Liquid Courage" },


    { season: 8, level: 11, first: false, type: Season_Rewards_Type.Currency, quantity: 500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 8, level: 12, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "RobCo Jumpsuit" },
    { season: 8, level: 13, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Large Vault-Tec Supply Package" },
    { season: 8, level: 14, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Purple Floater Mobile" },
    { season: 8, level: 15, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 8, level: 15, first: true,  type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Bunny Slippers" },

    { season: 8, level: 16, first: false, type: Season_Rewards_Type.Consumable, quantity: 10,  rarity: Season_Rewards_Rarity.Common, name: "Fireworks" },
    { season: 8, level: 17, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 8, level: 18, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Free States Leather" },
    { season: 8, level: 19, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 8, level: 20, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 20, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },


    { season: 8, level: 21, first: false, type: Season_Rewards_Type.Currency, quantity: 1000,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 8, level: 22, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yellow T-45" },
    { season: 8, level: 23, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 8, level: 24, first: false, type: Season_Rewards_Type.Icon , quantity: 1, rarity: Season_Rewards_Rarity.Common, name: "Creepy Baby" },
    { season: 8, level: 25, first: false, type: Season_Rewards_Type.Ally, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Sam Nguyen" },
    { season: 8, level: 25, first: true,  type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Diner Wall Light" },

    { season: 8, level: 26, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 8, level: 27, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Nuclear Keycard" },
    { season: 8, level: 28, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Free States Metal" },
    { season: 8, level: 29, first: false, type: Season_Rewards_Type.Currency, quantity: 100,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 8, level: 30, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 30, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },


    { season: 8, level: 31, first: false, type: Season_Rewards_Type.Currency, quantity: 100,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 8, level: 32, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yellow T-51" },
    { season: 8, level: 33, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 8, level: 33, first: false, type: Season_Rewards_Type.Frame, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Floral" },
    { season: 8, level: 35, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 8, level: 35, first: true,  type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yellow Door" },

    { season: 8, level: 36, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Rooster Mailbox" },
    { season: 8, level: 37, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Liquid Courage" },
    { season: 8, level: 38, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Free States Robot" },
    { season: 8, level: 39, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 8, level: 40, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 40, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },


    { season: 8, level: 41, first: false, type: Season_Rewards_Type.Currency, quantity: 1000,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 8, level: 42, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yellow T-60" },
    { season: 8, level: 43, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 8, level: 44, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Expert Hacker" },
    { season: 8, level: 45, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 8, level: 45, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },

    { season: 8, level: 46, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Black Modular Mainframe" },
    { season: 8, level: 47, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 8, level: 48, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Free States Combat" },
    { season: 8, level: 49, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 50, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Harmaceutical Chemistry Workstation" },
    { season: 8, level: 50, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },


    { season: 8, level: 51, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 52, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 8, level: 53, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 8, level: 54, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yellow Excavator" },
    { season: 8, level: 55, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 8, level: 55, first: true, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Modern Rug" },

    { season: 8, level: 56, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Blue Shag Carpet Floor" },
    { season: 8, level: 57, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 8, level: 58, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Free States Marine" },
    { season: 8, level: 59, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 8, level: 60, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 60, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },


    { season: 8, level: 61, first: false, type: Season_Rewards_Type.Currency, quantity: 100,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 8, level: 62, first: false, type: Season_Rewards_Type.Flair, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault Survivor" },
    { season: 8, level: 63, first: false, type: Season_Rewards_Type.Consumable, quantity: 6,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    { season: 8, level: 64, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yellow X-01" },
    { season: 8, level: 65, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 8, level: 65, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },

    { season: 8, level: 66, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Locomotive Railway Rifle" },
    { season: 8, level: 67, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Carry Weight Booster" },
    { season: 8, level: 68, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Elaborate Silver Chandelier" },
    { season: 8, level: 69, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 8, level: 70, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 70, first: true,  type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Liquid Courage" },


    { season: 8, level: 71, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 8, level: 72, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Cream Modular Sofa" },
    { season: 8, level: 73, first: false, type: Season_Rewards_Type.Consumable, quantity: 6,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },
    { season: 8, level: 74, first: false, type: Season_Rewards_Type.Pose, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Science Guy" },
    { season: 8, level: 75, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 8, level: 75, first: true, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Bass Mailbox" },

    { season: 8, level: 76, first: false, type: Season_Rewards_Type.PA, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Vault-Tek Hellcat" },
    { season: 8, level: 77, first: false, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 8, level: 78, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Silver Collectron" },
    { season: 8, level: 79, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 8, level: 80, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 80, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Perfect Bubblegum" },


    { season: 8, level: 81, first: false, type: Season_Rewards_Type.Currency, quantity: 2500,  rarity: Season_Rewards_Rarity.Common, name: "Caps" },
    { season: 8, level: 82, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Yellow Curtains" },
    { season: 8, level: 83, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Nuclear Keycard" },
    { season: 8, level: 84, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Extra Handed Vault Girl" },
    { season: 8, level: 85, first: false, type: Season_Rewards_Type.Consumable, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Perk Card Pack" },
    { season: 8, level: 85, first: true, type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },

    { season: 8, level: 86, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Vault-Tek Machine Gun" },
    { season: 8, level: 87, first: false, type: Season_Rewards_Type.Consumable, quantity: 9,  rarity: Season_Rewards_Rarity.Common, name: "Lunchbox" },
    { season: 8, level: 88, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Doorbell" },
    { season: 8, level: 89, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Scrip" },
    { season: 8, level: 90, first: false, type: Season_Rewards_Type.Currency, quantity: 150,  rarity: Season_Rewards_Rarity.Common, name: "Atoms" },
    { season: 8, level: 90, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Basic Repair Kit" },


    { season: 8, level: 91, first: false, type: Season_Rewards_Type.Currency, quantity: 250,  rarity: Season_Rewards_Rarity.Common, name: "Gold Bullion" },
    { season: 8, level: 92, first: false, type: Season_Rewards_Type.Skin, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault Survivor Backpack" },
    { season: 8, level: 93, first: false, type: Season_Rewards_Type.Stein, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault 76" },
    { season: 8, level: 94, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Common, name: "Dinner's Served" },
    { season: 8, level: 95, first: false, type: Season_Rewards_Type.Currency, quantity: 50,  rarity: Season_Rewards_Rarity.Common, name: "Perk Coin" },
    { season: 8, level: 95, first: true,  type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Weathered Hero of the Great War Statue" },

    { season: 8, level: 96, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Vault Survivor Hood" },
    { season: 8, level: 97, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Rare, name: "Hot Rod Mailbox" },
    { season: 8, level: 98, first: false, type: Season_Rewards_Type.Outfit, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Vault Survivor" },
    { season: 8, level: 99, first: false, type: Season_Rewards_Type.Consumable, quantity: 5,  rarity: Season_Rewards_Rarity.Common, name: "Legendary Module" },
    { season: 8, level: 99, first: true,  type: Season_Rewards_Type.Consumable, quantity: 3,  rarity: Season_Rewards_Rarity.Common, name: "Scrap Kit" },
    
    // same PA as rank 88?
    { season: 8, level: 100, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "First Responders Camp Kit" },
    { season: 8, level: 100, first: false, type: Season_Rewards_Type.CAMP, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "A Better Life Underground Gameboard" },
    { season: 8, level: 100, first: false, type: Season_Rewards_Type.Icon, quantity: 1,  rarity: Season_Rewards_Rarity.Legendary, name: "Target Practice" },
    { season: 8, level: 100, first: false, type: Season_Rewards_Type.Currency, quantity: 500,  rarity: Season_Rewards_Rarity.Legendary, name: "Atoms" },
];

// expand the sub season stuff into one
export let seed_season_rewards:  Season_Rewards[] = [
    ...seed_season_rewards_3,
    ...seed_season_rewards_4,
    ...seed_season_rewards_5,
    ...seed_season_rewards_8,
];